Skip to content
payrocdevelopers

Retrieve owner

Browse API reference

GET/owners/{ownerId}getOwner

Use this method to retrieve details about an owner of a processing account or an owner associated with a funding recipient.

To retrieve an owner, you need their ownerId. Our gateway returned the ownerId in the response of the Create Processing Account method or the Create Funding Recipient Owner method.

Note: If you don't have the ownerId, use the Retrieve Processing Account method if you are searching for a processing account owner, or use the List Funding Recipient Owners method if you are searching for a funding recipient owner.

Our gateway returns the following information about an owner:

  • Name, date of birth, and address.
  • Contact details, including their email address.
  • Relationship to the business, including whether they are a control prong or authorized signatory, and their equity stake in the business.

Parameters

NameInTypeDescription
ownerIdRequiredpathinteger

Unique identifier that we assigned to the owner.

Responses

Successful request. Returns the requested owner.

200 OK · application/json
{
  "address": {
    "address1": "1 Example Ave.",
    "address2": "Example Address Line 2",
    "address3": "Example Address Line 3",
    "city": "Chicago",
    "country": "US",
    "postalCode": "60056",
    "state": "Illinois"
  },
  "contactMethods": [
    {
      "type": "email",
      "value": "jane.doe@example.com"
    }
  ],
  "dateOfBirth": "1964-03-22",
  "firstName": "Jane",
  "identifiers": [
    {
      "type": "nationalId",
      "value": "xxxxx4320"
    }
  ],
  "lastName": "Doe",
  "middleName": "Helen",
  "ownerId": 4564,
  "relationship": {
    "equityPercentage": 48.5,
    "isAuthorizedSignatory": false,
    "isControlProng": true,
    "title": "CFO"
  }
}
Response schema · 34 fields
  • addressobjectrequired
    Object that contains information about the address.
    • address1stringrequired
      Address line 1.≤ 150 chars
    • address2string
      Address line 2.≤ 150 chars
    • address3string
      Address line 3.≤ 150 chars
    • citystringrequired
      City.≤ 50 chars
    • countrystringrequired
      Two-digit country code for the country that the business operates in. The format follows the ISO-3166-1 standard.2–2 chars
    • postalCodestringrequired
      Zip code or postal code.≤ 10 chars
    • statestringrequired
      Name of the state or state abbreviation.≤ 50 chars
  • contactMethodsobject[]required
    Array of polymorphic objects, which contain contact information. Note: If you are adding information about an owner, you must provide at least an email address. If you are adding information about a contact, you must provide at least a contact number. The value of the type parameter determines which variant you should use: email Email address phone Phone number mobile Mobile number fax Fax number1–4 items
    • emailobject
      • typestringrequired
        Type of contact method.email
      • valuestringrequired
        Email address.≤ 50 chars
    • phoneobject
      • typestringrequired
        Type of contact method.phone
      • valuestringrequired
        Phone number.≤ 15 chars
    • mobileobject
      • typestringrequired
        Type of contact method.mobile
      • valuestringrequired
        Mobile number.≤ 15 chars
    • faxobject
      • typestringrequired
        Type of contact method.fax
      • valuestringrequired
        Fax number.≤ 15 chars
  • dateOfBirthstringdaterequired
    Owner's date of birth. The format of this value is YYYY-MM-DD.
  • firstNamestringrequired
    Owner's first name.≤ 50 chars
  • identifiersobject[]required
    Array of IDs.≥ 1 items
    • typestringrequired
      Type of ID provided to verify identity.nationalId
    • valuestringrequired
      Social Security Number (SSN) or Social Insurance Number (SIN).
  • lastNamestringrequired
    Owner's last name.≤ 50 chars
  • middleNamestring
    Owner's middle name.≤ 50 chars
  • ownerIdinteger
    Unique identifier that we assigned to the owner.
  • relationshipobjectrequired
    Object that contains information about the owner's relationship to the business.
    • equityPercentagenumberpercentage
      Percentage equity stake that the owner holds in the business.
    • isAuthorizedSignatoryboolean
      Indicates if the owner is an authorized signatory.
    • isControlProngbooleanrequired
      Indicates if the owner is a control prong. You can identify only one control prong for a business.
    • titlestring
      Owner's job title.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer